package fr.lri.insitu.FlowStates.examples.graphicalEditor2;

import java.awt.geom.Point2D;

import fr.lri.insitu.FlowStates.examples.graphicalEditor.ZoomableCanvas;
import fr.lri.insitu.FlowStates.sm.IConStateMachine;
import fr.lri.swingstates.sm.State;
import fr.lri.swingstates.sm.Transition;
import fr.lri.swingstates.sm.transitions.EventOnPosition;

public class ZoomInteraction extends IConStateMachine {

	Point2D previousPoint;

	public ZoomInteraction() {
		super();
	}
	
	public ZoomInteraction(String name, ZoomableCanvas c) {
		super(name, c);
	}

	State idle = new State() {
		Transition zoom = new EventOnPosition(Zoom.class) {
			public void action() {
				Zoom event = (Zoom)getEvent();
				((ZoomableCanvas)getCanvas()).zoomBy(new Point2D.Double(event.getSlotX(), event.getSlotY()), event.getSlotdZ());
			}
		};
	};

}
